import pytest

from greg.models import OrganizationalUnit


@pytest.mark.django_db
def test_set_parent():
    parent = OrganizationalUnit.objects.create(orgreg_id="parent")
    child = OrganizationalUnit.objects.create(orgreg_id="child", parent=parent)
    assert list(OrganizationalUnit.objects.filter(parent__id=parent.id)) == [child]
